main banner

Content Management

Problems with .NET Framework version

Recently I had to change my .Net Framework version from 4.5 to 4.0.

 After that, any time that I browsed for any Sitecore site I was getting the following error:


" HTTP Error 404.17 - Not Found

The requested content appears to be script and will not be served by the static file handler. "


If you ever need to change your .Net Framework version you might get into a situation like this where your Sitecore instance suddenly stop working displaying this error.


When the .Net Framework is uninstalled - in my case the .NET framework 4.0 was removed after I uninstalled VS 2012 -, the Application Pools for the sitecore instances are change to map to .NET Framework version. v2.0.

To fix this error change the .NET Framework version from Application Pools in IIS

  1. Open Internet Information Services (IIS) Manager:

  2. Expand the server name, in Connection Pane, and select Application Pools.

  3. Select the corresponding Application Pool for the Sitecore site, and in the Actions Pane select Basic Settings.

  4. Change the Net Framework version to .Net Framework v4.0.


Sitecore

You can get more details about Application Pools here.


Raúl G.

Raúl has a lot to say about software development, check it out!


Articles